# Copyright (C) 2008 LottaNZB Development Team
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 3.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

# This is just a dummy module.

from lottanzb.config import GConfigSection
from lottanzb.util import gproperty, _

class Config(GConfigSection):
    categories = gproperty(type=object)

class categories:
    class Config(GConfigSection):
        def __init__(self, *args, **kwargs):
            GConfigSection.__init__(self, *args, **kwargs)
        
            if not self.categories_list:
                self.categories_list = [
                    _("Music"), _("DVD Movie"), _("XVID Movie"), _("TV Series"),
                    _("HD Movie"), _("Game"), _("Software"), _("Other")
                ]
        
        enabled = gproperty(type=bool, default=False)
        categories_list = gproperty(type=object)
        
        # It's a good idea not to change this option. The way how LottaNZB saves
        # a download category might change in the future so that we won't need
        # this option anymore.
        separator = gproperty(type=str, default="--")
